using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATTaskActionType")]
public partial class AttaskActionType
{
    [Key]
    public int ActionId { get; set; }

    [StringLength(50)]
    public string ActionName { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [InverseProperty("OnFailureAction")]
    public virtual ICollection<AtscheduledTask> AtscheduledTaskOnFailureActions { get; set; } = new List<AtscheduledTask>();

    [InverseProperty("OnSuccessAction")]
    public virtual ICollection<AtscheduledTask> AtscheduledTaskOnSuccessActions { get; set; } = new List<AtscheduledTask>();
}
